﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Timers;
using Topshelf;

namespace CATOP
{
    class Program
    {
        static void Main(string[] args)
        {
            HostFactory.Run(x =>
            {
                x.Service<MyService>(c =>
                {
                    c.ConstructUsing(name => new MyService());
                    c.WhenStarted(s => s.Start());
                    c.WhenStopped(s => s.Stop());
                });
                x.RunAsLocalSystem();

                x.SetDescription("服务描述");
                x.SetDisplayName("显示名称");
                x.SetServiceName("服务名称");
            });
        }
    }

    class MyService
    {
        readonly Timer timer = new Timer();
        public MyService()
        {
            timer.Interval = 1000;
            timer.Elapsed += (s, e) => File.AppendAllText("d:\\1.txt",DateTime.Now.ToLongTimeString()+"\r\n");
        }
        public void Start()
        {
            timer.Start();
        }
        public void Stop()
        {
            timer.Stop();
        }
    }
}
